# HeightMap Struct Reference

Height map - allocated array of heights (MapSizeX() + 1) x (MapSizeY() + 1). More...

## Public Member Functions
height_t & | height (uint x, uint y)
| Height map accessor.
## Data Fields
height_t * | h
uint | dim_x
uint | total_size
uint | size_x
uint | size_y

## Detailed Description

Height map - allocated array of heights (MapSizeX() + 1) x (MapSizeY() + 1).

Definition at line 169 of file tgp.cpp.

## Member Function Documentation

height_t& HeightMap::height | ( | uint | x,
|  | uint | y |
| ) |  |  | `[inline]`

Height map accessor.

Parameters:

  | x | X position
  | y | Y position

Returns:
  height as fixed point number

Definition at line 183 of file tgp.cpp.

Referenced by ApplyNoise(), GenerateTerrainPerlin(), HeightMapCoastLines(), HeightMapGetMinMaxAvg(), HeightMapSmoothCoastInDirection(), and HeightMapSmoothSlopes().

The documentation for this struct was generated from the following file:

- src/tgp.cpp